## org.apache.lucene.spatial.geometry
Class FloatLatLng

    java.lang.Object
      org.apache.lucene.spatial.geometry.LatLng
          org.apache.lucene.spatial.geometry.FloatLatLng

    public class FloatLatLng

extends LatLng

NOTE: This API is still in flux and might change in incompatible ways in the next release.

Constructor Summary
`FloatLatLng(double lat, double lng)`
`FloatLatLng(LatLng ll)`

Method Summary
`LatLng` `calculateMidpoint(LatLng other)` Calculate the midpoint between this point an another.
`LatLng` `copy()`
`boolean` `equals(java.lang.Object obj)`
`int` `getFixedLat()`
`int` `getFixedLng()`
`double` `getLat()`
`double` `getLng()`
`int` `hashCode()`
`boolean` `isFixedPoint()`
`boolean` `isNormalized()`
`LatLng` `normalize()`
`FixedLatLng` `toFixed()`
`FloatLatLng` `toFloat()`

Methods inherited from class org.apache.lucene.spatial.geometry.LatLng
`arcDistance, arcDistance, fromCartesian, toCartesian, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FloatLatLng

    public FloatLatLng(double lat,
                       double lng)

### FloatLatLng

    public FloatLatLng(LatLng ll)

Method Detail

### copy

    public LatLng copy()

  Specified by:
    `copy` in class `LatLng`

### getFixedLat

    public int getFixedLat()

  Specified by:
    `getFixedLat` in class `LatLng`

### getFixedLng

    public int getFixedLng()

  Specified by:
    `getFixedLng` in class `LatLng`

### getLat

    public double getLat()

  Specified by:
    `getLat` in class `LatLng`

### getLng

    public double getLng()

  Specified by:
    `getLng` in class `LatLng`

### isFixedPoint

    public boolean isFixedPoint()

  Specified by:
    `isFixedPoint` in class `LatLng`

### toFixed

    public FixedLatLng toFixed()

  Specified by:
    `toFixed` in class `LatLng`

### toFloat

    public FloatLatLng toFloat()

  Specified by:
    `toFloat` in class `LatLng`

### isNormalized

    public boolean isNormalized()

  Specified by:
    `isNormalized` in class `LatLng`

### normalize

    public LatLng normalize()

  Specified by:
    `normalize` in class `LatLng`

### calculateMidpoint

    public LatLng calculateMidpoint(LatLng other)

  Description copied from class: `LatLng`
  Calculate the midpoint between this point an another. Respects fixed vs floating point

  Specified by:
    `calculateMidpoint` in class `LatLng`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `LatLng`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `LatLng`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.